using Furion.DatabaseAccessor;
using Microsoft.EntityFrameworkCore;
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace YBEE.EQM.Core
{
    /// <summary>
    /// 异常日志
    /// </summary>
    [Comment("异常日志表")]
    public partial class SysLogEx : IEntity
    {
        /// <summary>
        /// 主键
        /// </summary>
        [Comment("主键")]
        [Key, DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public long Id { get; set; }

        /// <summary>
        /// 操作人
        /// </summary>
        [Comment("操作人")]
        [StringLength(50)]
        public string Account { get; set; }

        /// <summary>
        /// 名称
        /// </summary>
        [Comment("名称")]
        [StringLength(100)]
        public string Name { get; set; }

        /// <summary>
        /// 类名
        /// </summary>
        [Comment("类名")]
        [StringLength(100)]
        public string ClassName { get; set; }

        /// <summary>
        /// 方法名
        /// </summary>
        [Comment("方法名")]
        [StringLength(100)]
        public string MethodName { get; set; }

        /// <summary>
        /// 异常名称
        /// </summary>
        [Comment("异常名称")]
        public string ExceptionName { get; set; }

        /// <summary>
        /// 异常信息
        /// </summary>
        [Comment("异常信息")]
        public string ExceptionMsg { get; set; }

        /// <summary>
        /// 异常源
        /// </summary>
        [Comment("异常源")]
        public string ExceptionSource { get; set; }

        /// <summary>
        /// 堆栈信息
        /// </summary>
        [Comment("堆栈信息")]
        public string StackTrace { get; set; }

        /// <summary>
        /// 参数对象
        /// </summary>
        [Comment("参数对象")]
        public string ParamsObj { get; set; }

        /// <summary>
        /// 异常时间
        /// </summary>
        [Comment("异常时间")]
        public DateTime? ExceptionTime { get; set; }
    }
}